<?php
require "racs.php";
//require "vtshowsBBB.php";
require "fgstyles.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:vtlogings.php");}
?>
<html>
<title>Diana|FG-Bincard</title>
<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">
<script>
function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}

function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
svl=dt.rows[cnt].cells[2].innerText.toLowerCase();

if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0 || svl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}
}
</script>
</head>
<body style='font-family:calibri;font-size:small;'>
<?php

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_diana");

if(isset($_REQUEST['starts'])){
echo "starts ok";	
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['fstores'])){
$fstores=$_REQUEST['fstores'];}
else{
$fstores='all';}

if(isset($_REQUEST['itemnames'])){
$itemnames=$_REQUEST['itemnames'];}
else{
$itemnames='all';}



#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and itemcodes='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}

$flt=racs(1);

stps(1);

printf("<div style='position:absolute;left:1%%;top:5%%;width:15%%;'>");

//stks(1);//prshows('pr','zone','gobs','sales','Periodic sales',$zones,$regions,$agents,$agenttypes,$terrys,$ranges,$subranges,$items);

stksnew(1);

printf("</div>");

printf("<div style='position:absolute;left:15%%;top:5%%;width:80%%;'>");

printf("<div style='font-size:18;font-weight:bold;color:#3498DB;'>BIN CARD</div>");

printf("<form method='post' action='vtprstbincard.php?ranges=%s&items=%s'>",$ranges,$items);
printf("<br><table id='fms' style='width:100%%;background:silver;'><tr>");

printf("<td><input type='text' id='inputField' name='starts' size=8  value='%s'
style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'>",$starts);
printf(" - <input type='text' id='inputField2' name='ends' size=8  value='%s'
style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'>",$ends);

if($fstores!='All'){
$sflt=" and stores_names='".$fstores."' ";}


printf(" <select id='fstores' name='fstores' style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'>
<option selected>%s</option><option>All</option>",$_REQUEST['fstores']);
$sqlst="select distinct stores_names from st_notes ".$flt;
$qry=mysqli_query($conn,$sqlst);

while($rst=mysqli_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}
printf("</select>");
printf(" <input type='submit' value='Go'  style='font-size:13;background:#CACACA;color:grey;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></form>");
 
printf("<td align='right' style='color:grey;font-size:12;'>Search
<input type='text' autocomplete='off' id='srctxt' size=28 style='font-family:calibri;font-size:13;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td>
<td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr></table>");


printf("<table style='width:60%%;color:black;border-collapse:collapse;font-size:13;'>");
printf("<tr><td style='width:20%%;'>Period</td><td>%s - %s</td></tr>",$starts,$ends);
printf("<tr><td style='width:20%%;'>Location</td><td>%s</td></tr>",$fstores);
printf("<tr><td style='width:20%%;'>Range</td><td>%s</td></tr>",$ranges);
printf("<tr><td style='width:20%%;'>Item</td><td>%s</td></tr>",$itemnames);
printf("</table><br>");


printf("<table id='dt' style='width:100%%;color:black;border-collapse:collapse;font-size:13;'>");
printf("<tr valign='top' style='border:1px solid silver;background:silver;color:grey;text-align:center;font-weight:bold;'>
<td style='border:1px solid white;width:8%%;'>Date</td>
<td style='border:1px solid white;width:10%%;'>Detail</td>
<td style='border:1px solid white;width:8%%;'>Note number</td>
<td style='border:1px solid white;width:8%%;'>Reference</td>
<td style='border:1px solid white;width:10%%;'>Warehouse</td>
<td style='border:1px solid white;width:8%%;'>Vehicle</td>
<td style='border:1px solid white;width:10%%;'>Driver</td>
<td style='border:1px solid white;width:6%%;'>Rate</td>
<td style='border:1px solid white;width:7%%;'>Add</td>
<td style='border:1px solid white;width:7%%;'>Deduct</td>
<td style='border:1px solid white;width:8%%;'>Balance</td>
<td style='border:1px solid white;width:6%%;text-align:center;'>Open</td></tr>");

$bfqtys=0;
$adqtys=0;
$dtqtys=0;


if(strtolower($items)!='all'){
$sflt=" and itemcodes='".$items."' ";}

if(strtolower($fstores)!='all'){
$sflt=$sflt." and stores_names='".$fstores."' ";}

$sqlst="select item_ranges,item_names,box_price,sum(stock_box_qty) as fst from st_notes where dates>='2022-04-30' and dates<'".$starts."' and itemcodes='".$items."'group by itemcodes";
$qry=mysqli_query($conn,$sqlst);
$rst=mysqli_fetch_row($qry);

//echo $fstores;

printf("<tr style='border:1px solid silver;'><td align='center'>%s</td><td>Open Balance</td><td></td><td></td><td></td><td></td><td></td>
<td align='right'>%s</td><td></td><td></td><td align='right' style='font-size:13;'>%s</td><td></td></tr>",$starts,number_format($rst[2],2,'.',','),
number_format($rst[3],2,'.',','));

$bfqtys=$rst[3];
$sqlst="select dates,note_types,note_number,ref_numbers,stores_names,vehicle_names,driver_names,box_price,stock_box_qty from st_notes where 
dates>='".$starts."' and dates<='".$ends."' ".$sflt." order by dates,box_qty DESC,note_number ";

$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){

$adqtys=0;
$dtqtys=0;
$bfqtys=$bfqtys+$rst[8];

if($rst[8]>0){
$adqtys=$rst[8];}
else{
$dtqtys=($rst[8]*-1);}
	
$dhrf="<a href='vtprstdvshows.php?dvnumbers=".$rst[1]."&dvdates=".$rst[0]."' target='_blank'>Open</a>";

printf("<tr style='border:1px solid silver;'><td align='center'>%s</td><td>%s</td><td>%s</td><td align='center'>%s</td><td>%s</td><td>%s</td><td>%s</td>
<td align='right' style='font-size:13;'>%s</td><td align='right' style='font-size:13;'>%s</td><td align='right' style='font-size:13;'>%s</td>
<td align='right' style='font-size:13;'>%s</td><td align='center'>%s</td>",
$rst[0],$rst[1],$rst[2],$rst[3],$rst[4],$rst[5],$rst[6],number_format($rst[7],2,'.',','),number_format($adqtys,2,'.',','),number_format($dtqtys,2,'.',','),
number_format($bfqtys,2,'.',','),'Reserved');

}
printf("</div>");
}
?>
</div>
</body>
</html>